#include <vector>
#include <string>
#include "testlib.h"
#include <iostream>
#include <map>

using namespace std;


int main(int argc, char **argv)
{
  registerTestlibCmd(argc, argv);
  int dx[] = {1, 0, -1, 0};
  int dy[] = {0, -1, 0, 1};
  double score = 70;
	int tests = inf.readInt();
		
	for (int test = 0; test < tests; ++test) {
		int fx = inf.readInt();
		int fy = inf.readInt();
		int nx = 0;
		int ny = 0;
		int dest = 0;
		int steps = ouf.readInt();
		int turns = 0;
		for (int i = 0; i < steps; ++i) {
			int comm = ouf.readInt();
			if (comm == 0) {
				++turns;
				dest = (dest + 1) % 4;
			} else {
				nx += dx[dest] * comm;
				ny += dy[dest] * comm;
			}	
		}
		if (nx != fx || ny != fy) {
			score -= 3;
			continue;
		}
/*		int asteps = ans.readInt();
		nx = 0;
		ny = 0;
		dest = 0;
		int aturns = 0;
		for (int i = 0; i < steps; ++i) {
			int comm = ans.readInt();
			if (comm == 0) {
				++aturns;
				dest = (dest + 1) % 4;
			} else {
				nx += dx[dest] * comm;
				ny += dy[dest] * comm;
			}	
		}*/
//		if (nx != fx || ny != fy)
//			quitf(_fail, "Testcase %d answer goes to %d, %d instead of %d, %d", test, nx, ny, fx, fy);
//		if (turns > aturns)
//			score -= 3;
//		if (turns < aturns)
//			quitf(_fail, "Testcase %d better than jury", test);
	}
  score = max(0.0, score);
  quitf(_ok, "participant's solution is ok");

  return 0;
} 